<?xml version="1.0" encoding="shift-jis"?>

<exbulletml>


<action label="online_record_difficulty_select_top">
	<global name="online_score_difficulty">0</global>	
	<global name="online_score_table_y">0</global>

	<actionRef label="online_record_difficulty_selectable_create_action"></actionRef>
</action>

<action label="online_record_difficulty_select_back">
	<actionRef label="online_record_difficulty_selectable_create_action"></actionRef>
</action>



<!-- ******* 選択肢作成 ************************************** -->
<action label="online_record_difficulty_selectable_create_action">
  <actionRef label="online_record_difficulty_string_create_action"></actionRef>

	<eval name="xbase">400</eval>
	<eval name="ybase">300</eval>
	<eval name="height">72</eval>

	<!-- SEQUEL 解禁判定 -->
	<sysvar n="_arg0">37</sysvar>
	<!-- PRACTICE REPLAY でない場合もチェック-->
	<eval n="sequel_enabled">$_collection*(1-($__online_function-eq3))</eval>

	


	<rep><ts>$sequel_enabled-eq0</ts>

		<rep><ts>$__global_online_record_difficulty_cursor_position-eq0</ts>
			<eval n="initialpos0">0</eval>
			<eval n="initialpos1">1</eval>
			<eval n="initialpos2">0</eval>
			<eval n="initialpos3">-1</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq1</ts>
			<eval n="initialpos0">-1</eval>
			<eval n="initialpos1">0</eval>
			<eval n="initialpos2">1</eval>
			<eval n="initialpos3">0</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq2</ts>
			<eval n="initialpos0">0</eval>
			<eval n="initialpos1">-1</eval>
			<eval n="initialpos2">0</eval>
			<eval n="initialpos3">1</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq3</ts>
			<eval n="initialpos0">1</eval>
			<eval n="initialpos1">0</eval>
			<eval n="initialpos2">-1</eval>
			<eval n="initialpos3">0</eval>
		</rep>
	</rep>
	<rep><ts>1-($sequel_enabled-eq0)</ts>

		<!-- SEQUEL -->
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq0</ts>
			<eval n="initialpos0">0</eval>
			<eval n="initialpos1">1</eval>
			<eval n="initialpos2">0</eval>
			<eval n="initialpos3">0</eval>
			<eval n="initialpos4">-1</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq1</ts>
			<eval n="initialpos0">-1</eval>
			<eval n="initialpos1">0</eval>
			<eval n="initialpos2">1</eval>
			<eval n="initialpos3">0</eval>
			<eval n="initialpos4">0</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq2</ts>
			<eval n="initialpos0">0</eval>
			<eval n="initialpos1">-1</eval>
			<eval n="initialpos2">0</eval>
			<eval n="initialpos3">1</eval>
			<eval n="initialpos4">0</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq3</ts>
			<eval n="initialpos0">0</eval>
			<eval n="initialpos1">0</eval>
			<eval n="initialpos2">-1</eval>
			<eval n="initialpos3">0</eval>
			<eval n="initialpos4">1</eval>
		</rep>
		<rep><ts>$__global_online_record_difficulty_cursor_position-eq4</ts>
			<eval n="initialpos0">1</eval>
			<eval n="initialpos1">0</eval>
			<eval n="initialpos2">0</eval>
			<eval n="initialpos3">-1</eval>
			<eval n="initialpos4">0</eval>
		</rep>
	</rep>





	<!-- カーソル -->
	<create>
		<x>0</x><y>$__global_online_record_difficulty_cursor_position</y>
		<cursor>
			<flag>1</flag>
			<decidedRef    label="online_record_difficulty_cursor_decided"></decidedRef>
			<selectedRef   label="online_record_difficulty_cursor_selected"></selectedRef>
			<unselectedRef label="online_record_difficulty_cursor_unselected"></unselectedRef>
			<actionRef	   label="online_record_difficulty_cursor_action"></actionRef>
		</cursor>
	</create>

	<!-- 選択肢０:EASY -->
	<create>
		<cx>$xbase</cx><cy>$ybase+$height*$initialpos0</cy>
		<speed>0</speed><direction>0</direction>
		<x>0</x><y>0</y>
		<selectableRef label="online_selectable_difficulty_0"></selectableRef>
	</create>

	<!-- 選択肢１:NORMAL MINUS -->
	<create>
		<cx>$xbase</cx><cy>$ybase+$height*$initialpos1</cy>
		<speed>0</speed><direction>0</direction>
		<x>0</x><y>1</y>
		<selectableRef label="online_selectable_difficulty_1"></selectableRef>
	</create>

	<!-- 選択肢２:NORMAL -->
	<create>
		<cx>$xbase</cx><cy>$ybase+$height*$initialpos2</cy>
		<speed>0</speed><direction>0</direction>
		<x>0</x><y>2</y>
		<selectableRef label="online_selectable_difficulty_2"></selectableRef>
	</create>

	<!-- 選択肢３:HARD -->
	<create>
		<cx>$xbase</cx><cy>$ybase+$height*$initialpos3</cy>
		<speed>0</speed><direction>0</direction>
		<x>0</x><y>3</y>
		<selectableRef label="online_selectable_difficulty_3"></selectableRef>
	</create>

	<!-- 選択肢４:SEQUEL -->
	<rep><ts>1-($sequel_enabled-eq0)</ts>
		<create>
		<cx>$xbase</cx><cy>$ybase+$height*$initialpos4</cy>
			<speed>0</speed><direction>0</direction>
			<x>0</x><y>4</y>
			<selectableRef label="online_selectable_difficulty_4"></selectableRef>
		</create>
	</rep>


</action>

<action label="online_record_difficulty_string_create_action">
</action>



<!-- ***** BEGIN : Selectable 定義 ******************************************************* -->
<selectable label="online_selectable_difficulty_0">
	<decidedRef    label="online_record_difficulty_0_decided"></decidedRef>
	<selectedRef   label="online_record_difficulty_common_selected"><param>0</param></selectedRef>
	<unselectedRef label="online_record_difficulty_common_unselected"><param>0</param></unselectedRef>
	<revengeRef	   label="online_record_difficulty_common_revenge"></revengeRef>
	<actionRef	   label="online_record_difficulty_0_action"></actionRef>
</selectable>
<selectable label="online_selectable_difficulty_1">
	<decidedRef    label="online_record_difficulty_1_decided"></decidedRef>
	<selectedRef   label="online_record_difficulty_common_selected"><param>0</param></selectedRef>
	<unselectedRef label="online_record_difficulty_common_unselected"><param>0</param></unselectedRef>
	<revengeRef	   label="online_record_difficulty_common_revenge"></revengeRef>
	<actionRef	   label="online_record_difficulty_1_action"></actionRef>
</selectable>
<selectable label="online_selectable_difficulty_2">
	<decidedRef    label="online_record_difficulty_2_decided"></decidedRef>
	<selectedRef   label="online_record_difficulty_common_selected"><param>0</param></selectedRef>
	<unselectedRef label="online_record_difficulty_common_unselected"><param>0</param></unselectedRef>
	<revengeRef	   label="online_record_difficulty_common_revenge"></revengeRef>
	<actionRef	   label="online_record_difficulty_2_action"></actionRef>
</selectable>
<selectable label="online_selectable_difficulty_3">
	<decidedRef    label="online_record_difficulty_3_decided"></decidedRef>
	<selectedRef   label="online_record_difficulty_common_selected"><param>0</param></selectedRef>
	<unselectedRef label="online_record_difficulty_common_unselected"><param>0</param></unselectedRef>
	<revengeRef	   label="online_record_difficulty_common_revenge"></revengeRef>
	<actionRef	   label="online_record_difficulty_3_action"></actionRef>
</selectable>
<selectable label="online_selectable_difficulty_4">
	<decidedRef    label="online_record_difficulty_4_decided"></decidedRef>
	<selectedRef   label="online_record_difficulty_common_selected"><param>0</param></selectedRef>
	<unselectedRef label="online_record_difficulty_common_unselected"><param>0</param></unselectedRef>
	<revengeRef	   label="online_record_difficulty_common_revenge"></revengeRef>
	<actionRef	   label="online_record_difficulty_4_action"></actionRef>
</selectable>
<!-- ***** END : Selectable 定義 ******************************************************* -->


<!-- ***** BEGIN : Selectable 共通 ******************************************************* -->
<selected   label="online_record_difficulty_common_selected">
</selected>

<unselected label="online_record_difficulty_common_unselected">
</unselected>

<revenge label="online_record_difficulty_common_revenge">
	<childRevenge></childRevenge>
	<vanish></vanish>
</revenge>
<!-- ***** END : Selectable 共通 ******************************************************* -->


<!-- ***** BEGIN : Selectable DECIDED ******************************************************* -->
<decided    label="online_record_difficulty_0_decided">
	<presentRef l="online_record_difficulty_selectable_decided_present"></presentRef>
	<global name="online_score_difficulty">0</global>
	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>
	<w>15</w>

	<vanish></vanish>
</decided>
<decided    label="online_record_difficulty_1_decided">
	<presentRef l="online_record_difficulty_selectable_decided_present"></presentRef>
	<global name="online_score_difficulty">1</global>
	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>
	<w>15</w>

	<vanish></vanish>
</decided>
<decided    label="online_record_difficulty_2_decided">
	<presentRef l="online_record_difficulty_selectable_decided_present"></presentRef>
	<global name="online_score_difficulty">2</global>
	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>
	<w>15</w>

	<vanish></vanish>
</decided>
<decided    label="online_record_difficulty_3_decided">
	<presentRef l="online_record_difficulty_selectable_decided_present"></presentRef>
	<global name="online_score_difficulty">3</global>
	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>

	<vanish></vanish>
</decided>
<decided    label="online_record_difficulty_4_decided">
	<presentRef l="online_record_difficulty_selectable_decided_present"></presentRef>
	<global name="online_score_difficulty">4</global>
	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>
	<w>15</w>

	<vanish></vanish>
</decided>

<!-- ***** END : Selectable DECIDED ******************************************************* -->


<!-- ***** BEGIN : Selectable ACTION ******************************************************* -->
<action	    label="online_record_difficulty_0_action">
	<imgRef label="online_record_difficulty_img"><p>1</p><p>0</p></imgRef>
	<setDrawLevel><num>10</num></setDrawLevel>
	<presentRef l="online_record_difficulty_selectable_common_present"><p>0</p></presentRef>
</action>
<action	    label="online_record_difficulty_1_action">
	<imgRef label="online_record_difficulty_img"><p>1</p><p>1</p></imgRef>
	<setDrawLevel><num>10</num></setDrawLevel>
	<presentRef l="online_record_difficulty_selectable_common_present"><p>1</p></presentRef>
</action>
<action	    label="online_record_difficulty_2_action">
	<imgRef label="online_record_difficulty_img"><p>1</p><p>2</p></imgRef>
	<setDrawLevel><num>10</num></setDrawLevel>
	<presentRef l="online_record_difficulty_selectable_common_present"><p>2</p></presentRef>
</action>
<action	    label="online_record_difficulty_3_action">
	<imgRef label="online_record_difficulty_img"><p>1</p><p>3</p></imgRef>
	<setDrawLevel><num>10</num></setDrawLevel>
	<presentRef l="online_record_difficulty_selectable_common_present"><p>3</p></presentRef>
</action>
<action	    label="online_record_difficulty_4_action">
	<imgRef label="online_record_difficulty_img_2"><p>1</p><p>2</p></imgRef>
	<setDrawLevel><num>10</num></setDrawLevel>
	<presentRef l="online_record_difficulty_selectable_common_present"><p>4</p></presentRef>
</action>

<!-- ***** END : Selectable ACTION ******************************************************* -->
<present l="online_record_difficulty_selectable_decided_present">
</present>


<present l="online_record_difficulty_selectable_common_present">

	<!-- SEQUEL 解禁判定 -->
	<sysvar n="_arg0">37</sysvar><eval n="sequel_enabled">$_collection*(1-($__online_function-eq3))</eval>

	<rep><ts>1-($sequel_enabled-eq0)</ts>
		<actionRef label="online_record_difficulty_selectable_common_present_sequelenabled_action"><p>$1</p></actionRef>
	</rep>
	<rep><ts>$sequel_enabled-eq0</ts>
		<actionRef label="online_record_difficulty_selectable_common_present_action"><p>$1</p></actionRef>
	</rep>




</present>

<action	l="online_record_difficulty_selectable_common_present_action">
	<eval name="xbase">400</eval>
	<eval name="ybase">300</eval>
	<eval name="height">72</eval>
	<eval n="mypos">$1</eval>
	<eval n="old_cursor_y">$_cursor_y</eval>

	<eval n="tmppos">($mypos-$_cursor_y+8)%4</eval>
	<eval n="oldtmppos">($mypos-$_cursor_y+8)%4</eval>
	<rep><ts>$tmppos-eq0</ts>
		<changeColor><alpha>255</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq1</ts>
		<changeColor><alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq2</ts>
		<changeColor><alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq3</ts>
		<changeColor><alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>



	<rep><ts>-1</ts>
		<rep><ts>1-($old_cursor_y-eq$_cursor_y)</ts>
			<eval n="old_cursor_y">$_cursor_y</eval>

			<changeSpeed><speed>12</speed><term>0</term></changeSpeed>
			<eval n="tmppos">($mypos-$_cursor_y+8)%4</eval>

			<rep><ts>$tmppos-eq0</ts>
				<changeColor>
					<alpha>255</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<changePosition type="center"><x>$xbase</x><y>$ybase+$height*0</y></changePosition>
			</rep>

			<rep><ts>$tmppos-eq1</ts>
				<changeColor>
					<alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<rep><ts>$oldtmppos-eq2</ts>
					<setPosition type="center"><x>$xbase</x><y>$ybase+$height*1</y></setPosition>
				</rep>
				<rep><ts>1-($oldtmppos-eq2)</ts>
					<changePosition type="center"><x>$xbase</x><y>$ybase+$height*1</y></changePosition>
				</rep>
			</rep>

			<rep><ts>$tmppos-eq2</ts>
				<changeColor>
					<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<setPosition type="center"><x>$xbase</x><y>$ybase+$height*0</y></setPosition>
			</rep>

			<rep><ts>$tmppos-eq3</ts>
				<changeColor>
					<alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<rep><ts>$oldtmppos-eq2</ts>
					<setPosition type="center"><x>$xbase</x><y>$ybase-$height*1</y></setPosition>
				</rep>
				<rep><ts>1-($oldtmppos-eq2)</ts>
					<changePosition type="center"><x>$xbase</x><y>$ybase-$height*1</y></changePosition>
				</rep>
			</rep>
	
			<changeSpeed><speed>0</speed><term>0</term></changeSpeed>
		</rep>	

		<eval n="oldtmppos">($mypos-$_cursor_y+8)%4</eval>
		<w>1</w>
	</rep>
</action>


<action	l="online_record_difficulty_selectable_common_present_sequelenabled_action">
	<eval name="xbase">400</eval>
	<eval name="ybase">300</eval>
	<eval name="height">72</eval>
	<eval n="mypos">$1</eval>
	<eval n="old_cursor_y">$_cursor_y</eval>

	<eval n="tmppos">($mypos-$_cursor_y+10)%5</eval>
	<eval n="oldtmppos">($mypos-$_cursor_y+10)%5</eval>
	<rep><ts>$tmppos-eq0</ts>
		<changeColor><alpha>255</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq1</ts>
		<changeColor><alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq2</ts>
		<changeColor><alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq3</ts>
		<changeColor><alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>
	<rep><ts>$tmppos-eq4</ts>
		<changeColor><alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>0</term></changeColor>
	</rep>



	<rep><ts>-1</ts>
		<rep><ts>1-($old_cursor_y-eq$_cursor_y)</ts>
			<eval n="old_cursor_y">$_cursor_y</eval>

			<changeSpeed><speed>12</speed><term>0</term></changeSpeed>
			<eval n="tmppos">($mypos-$_cursor_y+10)%5</eval>

			<rep><ts>$tmppos-eq0</ts>
				<changeColor>
					<alpha>255</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<changePosition type="center"><x>$xbase</x><y>$ybase+$height*0</y></changePosition>
			</rep>

			<rep><ts>$tmppos-eq1</ts>
				<changeColor>
					<alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<rep><ts>$oldtmppos-eq2</ts>
					<setPosition type="center"><x>$xbase</x><y>$ybase+$height*1</y></setPosition>
				</rep>
				<rep><ts>1-($oldtmppos-eq2)</ts>
					<changePosition type="center"><x>$xbase</x><y>$ybase+$height*1</y></changePosition>
				</rep>
			</rep>

			<rep><ts>$tmppos-eq2</ts>
				<changeColor>
					<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<setPosition type="center"><x>$xbase</x><y>$ybase+$height*0</y></setPosition>
			</rep>

			<rep><ts>$tmppos-eq3</ts>
				<changeColor>
					<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<setPosition type="center"><x>$xbase</x><y>$ybase+$height*0</y></setPosition>
			</rep>

			<rep><ts>$tmppos-eq4</ts>
				<changeColor>
					<alpha>128</alpha><red>255</red><green>255</green><blue>255</blue><term>8</term>			
				</changeColor>
				<rep><ts>$oldtmppos-eq3</ts>
					<setPosition type="center"><x>$xbase</x><y>$ybase-$height*1</y></setPosition>
				</rep>
				<rep><ts>1-($oldtmppos-eq3)</ts>
					<changePosition type="center"><x>$xbase</x><y>$ybase-$height*1</y></changePosition>
				</rep>
			</rep>
	
			<changeSpeed><speed>0</speed><term>0</term></changeSpeed>
		</rep>	

		<eval n="oldtmppos">($mypos-$_cursor_y+10)%5</eval>
		<w>1</w>
	</rep>
</action>


<!-- ***** BEGIN : カーソル ************************************** -->
<action label="online_record_difficulty_cursor_action">
</action>

<selected label="online_record_difficulty_cursor_selected">
	<sound type="se">
		<track><file type="ogg">cursor_mv</file></track>
		<play><flag>0</flag><loop>0</loop></play>
	</sound>
	<actionRef l="cursor_particle_create_action"><p>16</p><p>0</p></actionRef>
	<setWaitCount><num>8</num></setWaitCount>
</selected>

<unselected label="online_record_difficulty_cursor_unselected">
	<global n="global_online_record_difficulty_cursor_position">$_cursor_y</global>

	<targetRevenge label="title_bg_object"></targetRevenge>
	<targetRevenge label="online_selectable_difficulty_0"></targetRevenge>
	<targetRevenge label="online_selectable_difficulty_1"></targetRevenge>
	<targetRevenge label="online_selectable_difficulty_2"></targetRevenge>
	<targetRevenge label="online_selectable_difficulty_3"></targetRevenge>
	<targetRevenge label="online_selectable_difficulty_4"></targetRevenge>
	<targetRevenge l="title_selectable_back_blackcircle_object"></targetRevenge>

	<sound type="se">
		<track><file type="ogg">cursor_can</file></track>
		<play><flag>0</flag><loop>0</loop></play>
	</sound>  

	<changeColor>
		<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue><term>15</term>
	</changeColor>
	<wait>15</wait>

	<actionRef label="online_function_select_top_scoreback"></actionRef>

	<vanish></vanish>
</unselected>

<decided label="online_record_difficulty_cursor_decided">
	<global n="global_online_record_difficulty_cursor_position">$_cursor_y</global>

	<sound type="se">
		<track><file type="ogg">cursor_sel</file></track>
		<play><flag>0</flag><loop>0</loop></play>
	</sound>  
	<actionRef l="circle_effect_create_action"><p>400-32</p><p>300</p></actionRef>

	<wait>10</wait>

	<actionRef label="online_record_character_select_top_from_menu"></actionRef>
	<wait>15</wait>

  <vanish></vanish>
</decided>
<!-- ***** END : カーソル ************************************** -->

<!-- ***** BEGIN : 画像定義 ******************************************************* -->
<img type="normal" label="online_record_difficulty_img">
	<file type="dds">title_difficulty_img</file>
	<left>$1*128</left><top>$2*48</top><right>$1*128+128</right><bottom>$2*48+48</bottom>
	<width>128</width><height>48</height>
	<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue>
</img>

<img type="normal" label="online_record_difficulty_img_2">
	<file type="dds">title_selectable_img</file>
	<left>$1*256</left><top>$2*48</top><right>$1*256+256</right><bottom>$2*48+48</bottom>
	<width>256</width><height>48</height>
	<alpha>0</alpha><red>255</red><green>255</green><blue>255</blue>
</img>

<img type="normal" label="online_record_difficulty_title_img">
	<file type="dds">title_difficulty_img</file>
	<left>0</left><top>64*3</top><right>256</right><bottom>64*4</bottom>
	<width>256</width><height>64</height>
	<alpha>255</alpha><red>255</red><green>255</green><blue>255</blue>
</img>

<!-- ***** END : 画像定義 ******************************************************* -->


</exbulletml>
